{%- set payload = salt['hashutil.base64_b64encode']('TEST_SECRET_CERT') %}
barbican_secret_present:
  barbicanv1.secret_present:
  - cloud_name: admin_identity
  - name: SaltTestSecret
  - algorithm: RSA
  - secret_type: certificate
  - payload: {{ payload }}
  - payload_content_type: application/octet-stream
  - payload_content_encoding: base64

barbican_secret_absent:
  barbicanv1.secret_absent:
  - cloud_name: admin_identity
  - name: SaltTestSecret
  - require:
    - barbican_secret_present
